/**
 * 业务配置
 * */
const url = location.host;
const isDev = process.env.NODE_ENV === "development"; // 开发环境
const isPro = url.includes("occupationlab.com"); //是否职站生产
const isTest = url.includes('121.37.12.51'); //是否中台测试服

let systemPath = `${location.origin}/banksystem`
let host = `${location.origin}/`
let uploadURL = `http://121.37.12.51/`
if (isPro) {
    // 职站生产
    uploadURL = `https://www.huorantech.cn/`
    systemPath = `https://www.huorantech.cn/banksystem`
} else if (isDev) {
    // 本地
    systemPath = `http://${location.hostname}:8093`
    host = "http://121.37.12.51/"; // 中台测试服
    // host = "http://192.168.31.151:9000/"; // 榕
    // host = "http://192.168.31.137:9000/"; // 赓
}

const Setting = {
    /**
     * 基础配置
     * */
    platformId: 1, // 平台标识，1职站，2数据平台，3中台
    titleSuffix: '深圳或然科技官网', // 网页标题的后缀
    routerMode: "hash", // 路由模式，可选值为 history 或 hash
    showProgressBar: true, // 页面切换时，是否显示模拟的进度条
    apiBaseURL: host, // 接口请求地址
    uploadURL, // 阿里云oss域名
    systemPath, // 子系统地址前缀
    autoLogoutTime: 3600000, // 长时间未操作，自动退出登录时间
    modalDuration: 3, // 接口请求返回错误时，弹窗的持续时间，单位：秒
    errorModalType: "Message", // 接口请求返回错误时，弹窗的类型，可选值为 Message 或 Notice
    cookiesExpires: 1, // Cookies 默认保存时间，单位：天
    tokenExpires: 1296000000, // token在localStorage的时间(毫秒)
    tokenKey: "official_token", // localStorage里保存的token的key
    storeKey: "official_store", // localStorage里保存的vuex的key
    initialPassword: "111aaa", // 默认密码
    isDev,
    isTest,
    isPro,
    /**
     * 路由白名单
     * */
    whiteList: ['/index/list', '/cityPartner/list', '/devPlatform/list'],
    /**
     * 平台列表
     * */
    platformList: [
        {
            id: 1,
            name: '职站'
        },
        {
            id: 2,
            name: '数据平台'
        },
        {
            id: 3,
            name: '中台'
        }
    ],
    /**
     * 多语言配置
     * */
    i18n: {
        default: "zh", // 默认语言
        auto: false // 是否根据用户电脑配置自动设置语言（仅第一次有效）
    },
    layout: {}, // 布局配置
    /**
     * 功能配置
     * */
    sameRouteForceUpdate: false, // 相同路由，不同参数间进行切换，是否强力更新
    dynamicRoute: false // 是否使用动态路由
};

export default Setting;
